Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.axis2.hooks
Class ODEMessageReceiver

    java.lang.Object
      org.apache.axis2.receivers.AbstractMessageReceiver
          org.apache.ode.axis2.hooks.ODEMessageReceiver

All Implemented Interfaces:
  org.apache.axis2.engine.MessageReceiver

    public class ODEMessageReceiver

extends org.apache.axis2.receivers.AbstractMessageReceiver

Receives messages forwarded by Axis.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`org.apache.axis2.receivers.AbstractMessageReceiver.AsyncMessageReceiverWorker, org.apache.axis2.receivers.AbstractMessageReceiver.ThreadContextDescriptor`

Field Summary

Fields inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`DO_ASYNC, log, SAVED_MC, SAVED_TCCL, SCOPE, serviceTCCL`

Constructor Summary
`ODEMessageReceiver()`

Method Summary
`void` | `invokeBusinessLogic(org.apache.axis2.context.MessageContext msgContext)`
`void` | `setService(ODEService service)`

Methods inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`getSOAPFactory, getTheImplementationObject, makeNewServiceObject, receive, replicateState, restoreThreadContext, setThreadContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ODEMessageReceiver

    public ODEMessageReceiver()

Method Detail

### invokeBusinessLogic

    public final void invokeBusinessLogic(org.apache.axis2.context.MessageContext msgContext)
                                   throws org.apache.axis2.AxisFault

  Specified by:
    `invokeBusinessLogic` in class `org.apache.axis2.receivers.AbstractMessageReceiver`
  Throws:
    `org.apache.axis2.AxisFault`

### setService

    public void setService(ODEService service)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD